fcf.module({
  name: "fcfDBControls:templates/removal-form.wrapper.js",
  dependencies: ["fcf:NClient/Wrapper.js"],
  module: function(Wrapper){
    return class RemovalForm extends Wrapper{
      
      constructor(a_initializeOptions){
        super(a_initializeOptions);
      }

      onArg(a_argName, a_value, a_editor, a_ignoreRedrawing, a_isInnerCall, a_suffix) {
        //this.update();
      }

      delete(){
        return this.send({
          key: this.getArg("key"),
          projection: this.getArg("projection"),
        });
      }

    };
  }
});
